AutoCAD Inventor :: Entering Sketch Rotation Of Canvas
Oct 16, 2013
I have a question regarding sketches. When I open up a sketch on the xy plane, the sketch is created normally as I would expect, but when I open up a sketch on the xz or yz plane my canvas is rotated either 90(YZ plane) or 180(XZ plane) degrees. This seems strange to me as when I use dynamic input my Y ends up being my X input while on the YZ plane. Is there any way to change this so that my sketch planes enter me into my Y being up and my Z being across and not rotating my views at all? It is not the end of the world obviously, but when this happens while trying to teach high school kids about multi view drawings and using the program it gets many of them confused and is a pain.
Every time a select a plane to sketch onto, it rotates 180 degrees...... i have looked in the settings but cannot really find anything.. i have attached images for reference .
I've just tried entering some text on a blank canvas in GIMP 2.8.4 and the text tool doesn't seem to be working right. I click on the text tool, click on the canvas and try to type, but it doesn't actually type; it just operates all the shortcuts assigned to the keys that I've pressed.
Running OS X Mavericks on a late 2012 MacBook Pro.
I've tried using the rotate canvas feature in Photoshop CS5 but I get the message: "Could not complete your request because it only works with OpenGL enabled document windows." I can't use rotate canvas using my Wacom tablet either, which is weird because I used to be able to do that a few months ago. I'm assuming something changed with the program- my sister probably updated it or did something.
Canvas rotation is a great tool, but something bugs me about it: As is commonly known, Photoshop offers pre-set zoom levels. By that I mean 25%, 33,3%, 50%, 66,7%, 100%, et. In other words: The zoom level Photoshop jumps to when using the + or - buttons on the keyboard. If an image is in it´s normal orientation on the screen, it appears sharp at all zoom levels. This changes however with canvas rotation.
Rotated at 90°, 180° and 270° the appearance of sharpness is maintained at all zoom levels. But with a rotation in between those values the appearance of sharpness is maintained only at 33,3% and 66,7% zoom. 25%, 50% and 100% make the image appear soft when combined with free canvas rotation.
Could it be the graphics card/driver having a problem with the image represantion while canvas rotation is used? And if so, what kind of graphic processor/driver would be able to maintain the appearance of sharpness at all zoom levels, while canvas rotation is being used?
Before I come across as being nitpicky: I´m mainly using Photoshop for illustration, which means a lot of freehand sketching. Being able to rotate the image area is therefore very important for me, and at some point this soft appearance of an image started to slightly annoy me because it´s slightly blurring detail. I guess it´s the same with seamlessly zooming in and out: At odd zoom levels the image becomes kinda soft as well, even without canvas rotation.
A little excursion into the past, to clarify this issue further: Let´s wind the clocks back to pre-creative suite days. Back then I noticed something strange with those pre set zoom levels in Photoshop. The image appeared perfectly fine at 25%, 50% and 100%, but had jagged edges at 33,3% and 66,7% (as if overly sharpened), which basiclly forced me to work only with the zoom levels mentioned first. Now this problem is gone, which I guess is mainly due to improved graphic drivers (if not: Let me know, I´m always willing to learn).
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?
I need to insert a table on one of my Inventor drawings, however, it will vary in size (Fixed colums, variable number of rows). I have searched the forum and found this snippet of code to add a 2x20 table.
Sub Main()Dim oDrawDoc As DrawingDocumentoDrawDoc = ThisApplication.ActiveDocumentDim oSheet As SheetoSheet = oDrawDoc.ActiveSheet' Set the column titlesDim oTitles() As String = {"Member","Pos. From Datum A"}Dim oPoint As Point2doPoint = ThisApplication.TransientGeometry.CreatePoint2d(1, 28.7)' Create the custom tableDim oCustomTable As CustomTableoCustomTable = oSheet.CustomTables.Add("Infill Spacing", oPoint, 2, 20, oTitles)End Sub
The Problem
I now need to be able to do two things:
1. Delete all custom tables that may be on the drawing ( I may have more than 1 custom table on the drawing)
2. Access the individual rows and colums in a specific table so I can write a variable into them.
I have searched high and low for the API commands, but cant seem to find them.
I have one problem in ilogic i developed the model using ilogic rules and dimension values updated through the User interface form.
problem is while entering the values in UI, model updates automatically, but I want to stop automatic update and after entering the all the parameters in the UI then click the done button only update the model.
I am making a template file having title block with fields. I use this template for creating layouts and sheets using Sheet Set Manager and the fields will be updated from the data of SSM. Now i would like to add a dynamic north block to my template. The block could be rotated (i have this block in file itself) and rotation angle could be inserted. Now how can i add a custom field to SSM so that i could set a rotation angle for the project and thus every new layout or sheet created using the template has the north block rotated with the angle mentioned in SSM.
I have a North Arrow that I would love to make into a dynamic block. I would like to be able to rotate the N that represents where the north direction is. But while rotating the N around the center of a circle I would like the letter itself to stay un-rotated. It seems simple, if I rotate the letter around the axis of a circle 90 deg, I would like the letter itself to rotate -90 deg on it's own axis. Of course this is easy to do manualy, but how do i do it so that rotation 1 automaticaly triggers rotation 2?
I am developing the API to automation assemblies and have run into a bit of a snag. I'm having trouble understanding how the camera upvector can be changed to minipulate the view. I'm attempting to rotate the front view 180 degrees around the z-axis - similar to clicking the rotate arrows on the view cube - and then set that position as the front view.
Here is my
Sub ViewChange() Dim oTG As Inventor.TransientGeometry = _invApp.TransientGeometry Dim oCamera As Inventor.Camera = _invApp.ActiveView.Camera oCamera.ViewOrientationType = ViewOrientationTypeEnum.kFrontViewOrientation
When setting up a simple FK control curve on say the wrist for example, many times the control curve isn't exactly perpendicular to the local rotation axis of the joint movement, so when we position the control curve to be perpendicular to the joint - it has a rotational value added, but the rotational handles are lines up with the rotational handles of the joint that we want to move.
Freeze Transformations: then the control curves rotational handle go back to being skewed (out of alignment with the joints)
We want to Freeze transformations before constraining the curve, but we'd really to keep those rotations control handles to remain aligned with the joints rotational handles. This will make it an exact control when animating - grab the rotational handle of the curve, rotate it, and the joint will move exactly in the proper direction.
how to get the rotational handle of any control curve to run perpendicular to the shape after freezing transformations?
To summarize: It seems that compounding a path resets the rotation of the gradient to it's original degree of rotation.
Detailed version:
1. Create a shape. 2. Add a gradient fill. Note it's degree of rotation. Let's say it's set at 10°. 3. Now rotate the shape by any means (transform or rotate tool). Note the gradient degree of rotation has shifted the same amount as the shape was rotated (if it was rotated 50°, the gradient will show at 60°). 4. Make it a compound path. 5. Instantly the gradient shifts back to it's original degree of rotation of 10°.
It appears that when rotating a shape with a gradient, the rotation of the gradient is locked to the rotation of the shape. But when making it a compound shape it releases that lock and "remembers" it's original state. But that is only true as soon as you make it a compound path, but if you no go ahead and rotate it just a bit using the cursor (as opposed to selecting transform > rotate), the gradient will switch back to how you would expect it to rotate in the first place...
Workaround would be to make it a compound path before rotating the shape at all.
I got too smart for myself today in bringing an old drawing up to current standards...Everyone seems to want their block attributes to be zero - I have blocks where the attributes are best when they match the rotations of each blocks.
I have an old drawing that was rotated (as it should be) at approx 2deg.
I used a lisp routine to global edit all the blocks that needed to be at zero. BUT for some reason (and after hundreds of blocks were corrected), I noticed I now have two blocks that should NOT have been in the set have had their attributes rotated to zero....and the attributes should be at the same rotation as their block's rotation.
Because those two blocks have a fixed tic mark, I can click on the mark to see what the block rotation is, then rotate its attribute to that rotation, but I have hundreds of blocks! One-at-a-time sucks....
Any chance there is a GLOBAL way to edit an attribute rotation to match its own block's rotation?
I have a code which I want to rotate a part. I have a text parameter 6 and 7. If one of the values is active I want to give the component a certain rotation.
Under the 'Hoekkoppeling' parameter is the angle constraint.
Below the
If Parameter ("KlemHoekstuk-01: 1", "KoppelingType") = 7 Then Hoekkoppeling = 60 deg ElseIf Parameter ("KlemHoekstuk-01: 1", "KoppelingType") = 6 Then Angle = -60 deg End If
I now get always an error on the second and fourth line.
I feel that the specify for the value is incorrectly.
All I want to do is rotate one dimension. I want to leave all the others alone.
When I am editing my drawing, I double click on the dimension and get the diag box and unfortunately the rotate dimension command along with the degree box is grayed out.
how to make this Clamp Rod to Clamp Base Spacer Turn relationship.
this is from the Clamp Project on this site: Inventor Wizard, The Clamp Lever is turning or rotating the clamp rod into the Clamp Base Spacer but I could not simulate the Thread or the Screw motion if that is the term, or the 1 or 1/2 turn of the Clamp Rod to 1 Pitch movement, plus I can't seem to put the Rod inside the Clamp Base Spacer hole when the Contact Solver is ON, maybe modeling issue on my part.